=== requirements.txt ===
##### basic requirements #####

fasteners
future
python-gettext
setuptools>=44.1.1
setuptools-scm>=5.0.2


##### testing libraries #####


coverage
mock>=3.0.5
pycodestyle
pydevd                  ; python_version >= '3.6'
pylint
pytest
pytest-cov
pytest-runner           ; python_version >= '3.6'
sphinx
tox


##### backend libraries #####


azure-storage-blob      ; python_version >= '3.6'
b2sdk                   ; python_version >= '3.6'
boto
boto3
boxsdk[jwt]             ; python_version >= '3.6'
dropbox
gdata                   ; python_version == '2.7'
gdata-python3           ; python_version >= '3.6'
google-api-python-client
google-auth-oauthlib
jottalib
keyring
mediafire
megatools               ; python_version >= '3.6'
paramiko
pexpect
psutil
pydrive                 ; python_version >= '3.6'
pyrax                   ; python_version >= '3.6'
python-swiftclient
requests
requests-oauthlib
